Name:		qt-heic-image-plugin
Version:	0.6.1
Release:	%mkrel 1
Summary:	Qt plugin for handling HEIF/HEIC images
License:	LGPL-2.1
Group:		Graphical desktop/KDE
URL:		https://github.com/novomesk/qt-heic-image-plugin
Source0:	https://github.com/novomesk/qt-heic-image-plugin/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(ECM)
BuildRequires:	pkgconfig(libheif)
### Qt5 build dependencies
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
### Qt6 build dependencies
BuildRequires:	cmake(Qt6)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)

%description
Qt plug-in to allow Qt and KDE based applications to
read/write HEIF/HEIC images.

#----------------------------------------------------------------------------
### Qt5

%package -n	qt5-heic-image-plugin
Summary:	Qt HEIF/HEIC plugin for Qt 5.x
Group:		Graphical desktop/KDE
Requires:	kimageformats

%description -n	qt5-heic-image-plugin
Qt plug-in to allow Qt and KDE based applications to
read/write HEIF/HEIC images for Qt 5.x.

%files -n qt5-heic-image-plugin
%doc README.md
%license LICENSE
%{_qt5_plugindir}/imageformats/kimg_heif5.so
%{_datadir}/kservices5/qimageioplugins/heif.desktop

#----------------------------------------------------------------------------
### Qt6

%package -n	qt6-heic-image-plugin
Summary:	Qt HEIF/HEIC plugin for Qt 6.x
Group:		Graphical desktop/KDE

%description -n	qt6-heic-image-plugin
Qt plug-in to allow Qt and KDE based applications to
read/write HEIF/HEIC images for Qt 6.x.

%files -n qt6-heic-image-plugin
%doc README.md
%license LICENSE
%{_qt6_plugindir}/imageformats/kimg_heif6.so
%exclude %{_datadir}/kservices6/qimageioplugins/heif.desktop

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%define _vpath_builddir build-qt5
%cmake_qt5
%cmake_build

%define _vpath_builddir build-qt6
%cmake_qt6 -DBUILD_WITH_QT6:BOOL=ON -DKDE_INSTALL_KSERVICES5DIR=%{_datadir}/kservices6
%cmake_build

%install
%define _vpath_builddir build-qt5
%cmake_install

%define _vpath_builddir build-qt6
%cmake_install


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 0.6.1-1.mga10
+ Revision: 2193997
- new version: 0.6.1

* Sat Feb 08 2025 daviddavid <daviddavid> 0.4.3-1.mga10
+ Revision: 2146073
- new version: 0.4.3

* Tue Mar 12 2024 daviddavid <daviddavid> 0.4.0-1.mga10
+ Revision: 2049337
- new version: 0.4.0

* Wed Dec 20 2023 daviddavid <daviddavid> 0.3.1-1.mga10
+ Revision: 2019972
- initial package qt-heic-image-plugin

